package eu.dnetlib.ariadneplus.elasticsearch.model;

import com.google.gson.Gson;

import java.util.List;

public class MetadataRecord {
    private List<Dex> conformsTo;
    private String xmlDoc;

    public List<Dex> getConformsTo() {
        return conformsTo;
    }

    public void setConformsTo(List<Dex> conformsTo) {
        this.conformsTo = conformsTo;
    }

    public String getXmlDoc() {
        return xmlDoc;
    }

    public void setXmlDoc(String xmlDoc) {
        this.xmlDoc = xmlDoc;
    }

    public MetadataRecord() {
    }

    public static MetadataRecord fromJson(String json){
        return new Gson().fromJson(json, MetadataRecord.class);
    }
}
